Method: networks.daiAuthenticationKeys.batchUpdate

Batch updates DaiAuthenticationKey objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/daiAuthenticationKeys:batchUpdate

Path parameters

Parameters
parent

string

Required. The parent resource where DaiAuthenticationKeys will be updated. Format: networks/{networkCode} The parent field in the UpdateDaiAuthenticationKeyRequest must match this field.

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (UpdateDaiAuthenticationKeyRequest)
    }
  ]
}
Fields
requests[]

object (UpdateDaiAuthenticationKeyRequest)

Required. The DaiAuthenticationKey objects to update. A maximum of 100 objects can be updated in a batch.

Response body

Response object for daiAuthenticationKeys.batchUpdate method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "daiAuthenticationKeys": [
    {
      object (DaiAuthenticationKey)
    }
  ]
}
Fields
daiAuthenticationKeys[]

object (DaiAuthenticationKey)

The DaiAuthenticationKey objects updated.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.

UpdateDaiAuthenticationKeyRequest

Request object for daiAuthenticationKeys.patch method.

JSON representation
{
  "daiAuthenticationKey": {
    object (DaiAuthenticationKey)
  },
  "updateMask": string
}
Fields
daiAuthenticationKey

object (DaiAuthenticationKey)

Required. The DaiAuthenticationKey to update.

The DaiAuthenticationKey's name is used to identify the DaiAuthenticationKey to update.

updateMask

string (FieldMask format)

Optional. The list of fields to update.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".